Users may not create topics, posts, or private messages containing or relating to the following material (especially pertaining to Motorola copyrighted software, unless you want Motorola to come along and shut this site down):

  • Listing for sale or trade of, or links to sites offering for sale or trade of, or giving away, Radio
    Service Software (RSS) or Customer Programming Software (CPS)
  • Profanity, pornography, defamation, or slanderous remarks directed towards any individual or entity
  • Commercial advertising (except in the Batboard Vendors forum, as approved by the Admin/Mod Staff)
  • Any other items which may be deemed as offensive

If any topics, posts, or private messages containing or relating to the aforementioned material are brought to the attention of the Admin/Mod Staff, they will be deleted.

Additional FAQ items appear here in Forum Rules. Please review them for posting guidelines and further clarification.

CPS 17.01.02 and older versions of firmware

Release notes for new versions of programming software and firmware, for any product, should be posted here, as well as topics discussing issues and bugs with and FSB's/SRN's for particular releases.

Moderator: Queue Moderator

dcgg
New User
Posts: 3
Joined: Sat Jun 18, 2011 5:07 am
What radios do you own?: APX7000, XTL5000, XTS2500

CPS 17.01.02 and older versions of firmware

Postby dcgg » Sun Aug 19, 2012 7:10 am

Has anyone tried reading an XTS5000 with an older version of firmware, in this case vintage R12, make a change and upload the change to the radio, then find that the radio is now showing the dreaded 01/82 error ? I have had this happen with 3 different radios and 2 very different computers. Both computers work perfectly fine when programming one with R17 firmware. The only I could recover it was to use FlashZap, because the regular CPS could no longer communicate with the radio.

Regards
Dave

User avatar
N4DES
was KS4VT
Posts: 1204
Joined: Thu Dec 25, 2003 7:59 am
What radios do you own?: APX,XTS2500,XTL2500,XTL1500

Re: CPS 17.01.02 and older versions of firmware

Postby N4DES » Sun Aug 19, 2012 3:56 pm

What version R17 firmware were you using? 17.00.00 was a known problem child that nuked a lot of radios regardless of CPS used.

dcgg
New User
Posts: 3
Joined: Sat Jun 18, 2011 5:07 am
What radios do you own?: APX7000, XTL5000, XTS2500

Re: CPS 17.01.02 and older versions of firmware

Postby dcgg » Sun Aug 19, 2012 5:21 pm

The firmware in the radio was an R12 series. I am using the latest 17.01.02 that caused the bricking. After reading the radio, making a change and programming it, the radio would come up with the 01/82. At that point most atempts to try and push the original codeplug or even read the radio would fail. At some point , while trying to read the radio, a
"NexGen 10" error would come up. These messages are related to firmware/software mismatch issues.

User avatar
escomm
Queue Moderator
Posts: 5118
Joined: Fri Mar 24, 2006 8:24 pm

Re: CPS 17.01.02 and older versions of firmware

Postby escomm » Sun Aug 19, 2012 7:20 pm

My immediate reaction is that this is why it's never a good idea to rush to the latest version of firmware or CPS from Motorola.

So what's the flashcode in the radios?

dcgg
New User
Posts: 3
Joined: Sat Jun 18, 2011 5:07 am
What radios do you own?: APX7000, XTL5000, XTS2500

Re: CPS 17.01.02 and older versions of firmware

Postby dcgg » Mon Aug 20, 2012 4:37 am

This particular Flashcode is 540008-000482-4. The model # is H18KEF9PW6AN.

Dorf411
Posts: 112
Joined: Fri Aug 21, 2009 2:53 pm

Re: CPS 17.01.02 and older versions of firmware

Postby Dorf411 » Mon Aug 20, 2012 9:43 am

escomm wrote:My immediate reaction is that this is why it's never a good idea to rush to the latest version of firmware or CPS from Motorola.



So at this point it seems there is no alternative, everything since 17 has been a problem.

User avatar
Pj
Moderator
Posts: 5132
Joined: Sun Sep 09, 2001 4:00 pm
What radios do you own?: X9000 thru APX

Re: CPS 17.01.02 and older versions of firmware

Postby Pj » Sat Dec 29, 2012 8:11 pm

FWIW I went thru the same when upgrading firmware, and FW19 brought it back (but I can't get it to actually upgrade the radio FW, just the heads).
Lowband radio. The original and non-complicated wide area interoperable communications system
Image

User avatar
Astro Spectra
Posts: 602
Joined: Sat Sep 22, 2001 4:00 pm

Re: CPS 17.01.02 and older versions of firmware

Postby Astro Spectra » Sat Dec 29, 2012 11:47 pm

So just stay at CPS 15.00.00? There have been so many CPS upgrade issues and debates around 16/17/18 that I've lost track of what's good and what's not...


Return to “Software & Firmware Releases & Issues”

Who is online

Users browsing this forum: No registered users and 1 guest